
Redmine - Defect #3330

Redmine.pm broken

2009-05-10 17:02 - Franck Zoccolo

Status: Closed Start date: 2009-05-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

r2726 breaks Apache authentication using Redmine.pm.

Related issues:

Related to Redmine - Defect #3340: Redmine.pm doesn't work Closed 2009-05-11

Associated revisions

Revision 2732 - 2009-05-12 18:56 - Jean-Philippe Lang

Fixes Redmine.pm broken by r2726 (#3330).

History

#1 - 2009-05-11 00:31 - Tim Klein

temp fix:

change line 147 -> 162 to:

sub RedmineDSN { 

  my ($self, $parms, $arg) = @_;

  $self->{RedmineDSN} = $arg;

  my $query = "SELECT 

                 hashed_password, auth_source_id, permissions

              FROM members, projects, users, roles, member_roles

              WHERE 

                projects.id=members.project_id

        AND member_roles.member_id=members.id

                AND users.id=members.user_id 

                AND roles.id=member_roles.role_id

                AND users.status=1 

                AND login=? 

                AND identifier=? ";

  $self->{RedmineQuery} = trim($query);

}

#2 - 2009-05-11 17:53 - Geordee Naliyath

And restart Apache.

#3 - 2009-05-12 07:11 - Igor Olemskoi (Southbridge)

Thank you very much! :-)

#4 - 2009-05-12 18:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Fix committed in r2732. Thanks.
